---
layout: default
title: Logging
---

# Logging

{% highlight ruby %}
# Global configuration serves as the template
Wayfarer.logger.level = :fatal

class DummyJob < Wayfarer::Job
  # Jobs can tweak their logger
  config.logger.level = :warn
  config.logger.progname = "dummy-job"

  def example
    logger.info "No"
    logger.warn "Yes"
  end
end
{% endhighlight %}