---
layout: default
title: Taking screenshots
---

# Taking screenshots

In order to take screenshots, use the Selenium HTTP adapter and call `#save_screenshot` on the WebDriver object:

{% highlight ruby %}
class DummyJob < Wayfarer::Job
  config.http_adapter = :selenium

  # ...

  def foo
    driver.save_screenshot("my_screenshot.png")
  end
end
{% endhighlight %}
