---
layout: default
title: Custom rules
---

# Custom rules

Custom rules take a block that gets yielded the URI or an object that responds to `#call(uri)`. If the block or the delegate return a truthy value, the rule matches.

{% highlight ruby %}
class DummyJob < Wayfarer::Job
  route.if -> (uri) { uri.host == uri.host.reverse }
end
{% endhighlight %}

* Matches only URIs with palindrome hosts