---
layout: default
title: Executing JavaScript
---

# Executing JavaScript

In order to execute JavaScript in a page's DOM context, use the Selenium HTTP adapter and call `#execute_script` on the WebDriver object:

{% highlight ruby %}
class DummyJob < Wayfarer::Job
  config.http_adapter = :selenium

  # ...

  def foo
    pathname = driver.execute_script("return window.location.pathname")
  end
end
{% endhighlight %}
