---
layout: default
title: Filetypes rules
---

# Filetypes rules

Filetypes rules match against the URI path's file extension.

{% highlight ruby %}
class DummyJob < Wayfarer::Job
  route.filetypes [:png, :jpg], to: :image
  route.forbid.filetypes [:php, :js]
end
{% endhighlight %}

Matches:

* `http://example.com/foo.png`
* `http://example.com/foo.jpg`
* `https://example.com/qux/bar.jpg`
